Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Aug 2022 20:22:44 +0300

> From: Visuwesh <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 19 Aug 2022 21:50:19 +0530
> 
> I can reproduce it in emacs -Q using the recipe Lars posted upthread.
> 
>     (progn
>       (pop-to-buffer "foo.txt")
>       (flyspell-mode)
>       (insert (propertize (make-string 20000 ?x) 'display "foo")
>           "\n\n"))
> 
> If I type 'a' in EOB, I see Narrow appear in the mode-line if I move
> using C-p, it disappears.  If I insert a character again, it reappears.
> I'm on Debian, and the git HEAD is

I did believe Lars, I just don't see it on my system.